aboutsummaryrefslogtreecommitdiff
path: root/test/_global/node_java_rust.sh
diff options
context:
space:
mode:
authorJosh Spicer <joshspicer@github.com>2022-08-24 00:23:21 +0300
committerGitHub <noreply@github.com>2022-08-24 00:23:21 +0300
commitf82307ad60514d1e912a9aa2b64204721fe955eb (patch)
treebc1799743ef7620c3e460d54f77c1fac3003fd4c /test/_global/node_java_rust.sh
parent84f4996643b84c6f3dcd5c3edc72ae176dceaf65 (diff)
test updates to adopt https://github.com/devcontainers/cli/pull/124 (#114)
* test updates to adopt https://github.com/devcontainers/cli/pull/124 * remove accidental tgz check in * typo in option * typo in python install script on dotnet6/jammy branch * no scenarios * code review and test name * Delete install_os_provided_python.sh
Diffstat (limited to 'test/_global/node_java_rust.sh')
-rw-r--r--test/_global/node_java_rust.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/test/_global/node_java_rust.sh b/test/_global/node_java_rust.sh
new file mode 100644
index 0000000..5d05729
--- /dev/null
+++ b/test/_global/node_java_rust.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Definition specific tests
+check "check for node" node --version
+check "check for java" java --version
+check "check for rust" rustc --version
+
+# Report result
+reportResults \ No newline at end of file